Imports System.Data.OleDb  '引入命名空间
Public Class 例12_8
    Private Sub Button1_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim str As String = "Provider= Microsoft.Jet.OLEDB.4.0;" & _
           "Data Source =f:\stu_manager.mdb"  ' 定义连接字符串
        Dim Conn As New OleDbConnection(str)   ' 创建Connection对象
        Dim da As OleDbDataAdapter    ' 定义DataAdapter对象的变量
        Dim ds As New DataSet()    ' 创建DataSet对象
        Dim recCount, colCount As Integer   ' 定义整形变量表示记录总数及列数
        Dim selCmd As String = "Select * From stuinfo"
        Dim fldNames, stuRec As String
        'Conn.Open()  ' 打开连接，Fill方法有自动打开连接的功能，此句可以不写
        da = New OleDbDataAdapter(selCmd, Conn)  ' 初始化对象da
        da.Fill(ds, "stuinfo")  ' 将da获取的记录填充到ds中
        recCount = ds.Tables(0).Rows.Count   ' 获取当前数据库表中的记录总行数
        colCount = ds.Tables(0).Columns.Count   ' 获取当前数据库表中的列数
        TextBox1.Text = ""   ' 清空文本框
        ' 读取记录集中的每个字段名，并显示在文本框中
        fldNames = " "
        ' 读取数据库表中的每个字段名
        For i = 0 To colCount - 1
            fldNames = fldNames & ds.Tables(0).Columns(i).ColumnName & "       "
        Next
        TextBox1.Text = TextBox1.Text & fldNames & vbCrLf
        ' 读取数据库表中每行记录各个字段的值，并形成字符串显示在文本框中
        For i = 0 To recCount - 1
            stuRec = ""
            ' 读取每一条记录中各个字段的值
            For j = 0 To colCount - 1
                stuRec = stuRec & (ds.Tables(0).Rows(i).Item(j)).ToString & "   "
            Next
            ' 将当前记录添加到文本框中
            TextBox1.Text = TextBox1.Text & stuRec & vbCrLf
        Next
        Conn.Close()  ' 关闭连接，Fill方法有自动关闭连接的功能，此句可以不写

    End Sub
End Class